<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class TNBestaetigungEMailByStatusNeu extends TNBestaetigungEMailByStatus
{
  
  public function getWeiterePart($pWeitere)
  {
    return '';
  }

  protected function getKursPartAlleKurse($pKurse, $pTNInfo, $pKursGebSumme = null)
  {
    $dmbasis = $this->getBenachrichtigungSicht('ignored');
    $kursPart = '';
    foreach ($pKurse as $status => $kurse) {
      $dmbasis->exportadapter->setSightInfo('anmeldestatus', $status);
      if ($this->darfMailVersenden($kurse)) {
        $nurKurse = $this->getBenachrichtigungDataarraybody($kurse);
        $dmbasis->dataarraybody = $this->getBelegungenForDataArrayBody($pTNInfo, $nurKurse);
        $kursPart .= $dmbasis->getbody();
      }
      

      
    }

    
    if (!is_null($pKursGebSumme)) {
      $gebSumme = $pKursGebSumme;
    } else {
      $dbwkkurs = new DBWorkWarenkorbKurseWB();
      $ermaess = false; 
      $anminfo = SessionOperations::getVarValueAnmInfo();
      $gebSumme = 0;
      for ($i = 0; $i < count($kurse); $i++) {
        $gebSummeObj = $dbwkkurs->getGebuehren($ermaess, $i, false, $anminfo);
        $gebSumme += $gebSummeObj->gebBetrag;
      }
    }
    $dmbasis->setExportSightInfo('sumkursgeb', CleanOperations::cleanStringForHtml(MathOperations::floatToString($gebSumme)));

    $dmbasis->exportadapter = new ExpTeilnehmer();
    $dmbasis->dataarrayfooter = $dmbasis->dataarrayheader = array($pTNInfo);
    $header = $dmbasis->getheader();
    $footer = $dmbasis->getfooter();

    return $header . $kursPart . $footer;
  }

  protected function getBenachrichtigungSicht($pStatus)
  {
    $dmbasis = new DataMenuBasis(null);
    $dmbasis->initializecompletesight();
    $dmbasis->exportadapter = new ExpBelegungDirektObjekt();

    $dmbasis->getSight(536);

    return $dmbasis;
  }

  private function getBelegungenForDataArrayBody($pTNInfo, $pKurse)
  {
    $belegungen = array();
    foreach ($pKurse as $kurs) {
      $b = new Belegung();
      $b->kurs = $kurs;
      $b->teilnehmer = $pTNInfo;
      $belegungen[] = $b;
    }

    return $belegungen;
  }
}